Debian Bug report logs - #415541
libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms

version graph

Package: libx11-6; Maintainer for libx11-6 is Debian X Strike Force <debian-x@lists.debian.org>; Source for libx11-6 is src:libx11.

Reported by: Arthur Marsh <arthur.marsh@internode.on.net>

Date: Tue, 20 Mar 2007 03:48:02 UTC

Severity: important

Found in version libx11/2:1.1.1-1

Fixed in version 2:1.1.2-1

Done: Jamey Sharp <jamey@minilop.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms
Date: Tue, 20 Mar 2007 14:15:55 +1030
Package: libx11-6
Version: 2:1.0.3-6
Severity: important


When running libx11-6 1.1.1-1 and xmms 1:1.2.10+20061101-1, attempting 
to change the file menu width or traverse directories in "play file" 
would cause a complete screen / filesystem lockup (machine was pingable 
from another location but file shares not available and all keyboard and 
mouse input was ignored).

Running xmms under strace would prevent the problem from occuring.

Downgrading libx11-6 to 2:1.0.3-6 resolved the problem.

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)

Versions of packages libx11-6 depends on:
ii  libc6                         2.5-0exp6  GNU C Library: Shared libraries
ii  libx11-data                   2:1.1.1-1  X11 client-side library
ii  libxau6                       1:1.0.3-1  X11 authorisation library
ii  libxdmcp6                     1:1.0.2-1  X11 Display Manager Control Protoc
ii  x11-common                    1:7.2-1    X Window System (X.Org) infrastruc

libx11-6 recommends no packages.

-- debconf information:
  libx11-6/migrate_xkb_dir: true



Bug marked as not found in version 2:1.0.3-6. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Tue, 20 Mar 2007 07:00:02 GMT) Full text and rfc822 format available.

Bug marked as found in version 2:1.1.1-1. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Tue, 20 Mar 2007 07:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #14 received at 415541@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Arthur Marsh <arthur.marsh@internode.on.net>, 415541@bugs.debian.org
Subject: Re: Bug#415541: libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms
Date: Tue, 20 Mar 2007 08:04:54 +0100
On Tue, 2007-03-20 at 14:15 +1030, Arthur Marsh wrote:
> Package: libx11-6
> Version: 2:1.0.3-6
> Severity: important
> 
> 
> When running libx11-6 1.1.1-1 and xmms 1:1.2.10+20061101-1, attempting 
> to change the file menu width or traverse directories in "play file" 
> would cause a complete screen / filesystem lockup (machine was pingable 
> from another location but file shares not available and all keyboard and 
> mouse input was ignored).
> 
> Running xmms under strace would prevent the problem from occuring.
> 
> Downgrading libx11-6 to 2:1.0.3-6 resolved the problem.

So this behaviour may be triggered by something in the new libx11-6, but
it's very unlikely to be caused fully by it but more likely at least
partly by the X server. Please attach the output of

/usr/share/bug/xserver-xorg-core/script 3>&1


-- 
Earthling Michel Dänzer           |          http://tungstengraphics.com
Libre software enthusiast         |          Debian, X and DRI developer



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 415541@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: Michel Dänzer <daenzer@debian.org>
Cc: 415541@bugs.debian.org
Subject: Re: Bug#415541: libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms
Date: Tue, 20 Mar 2007 20:01:25 +1030
[Message part 1 (text/plain, inline)]

Michel Dänzer wrote, On 20/03/07 17:34:
> On Tue, 2007-03-20 at 14:15 +1030, Arthur Marsh wrote:
>> Package: libx11-6
>> Version: 2:1.0.3-6
>> Severity: important
>>
>>
>> When running libx11-6 1.1.1-1 and xmms 1:1.2.10+20061101-1, attempting 
>> to change the file menu width or traverse directories in "play file" 
>> would cause a complete screen / filesystem lockup (machine was pingable 
>> from another location but file shares not available and all keyboard and 
>> mouse input was ignored).
>>
>> Running xmms under strace would prevent the problem from occuring.
>>
>> Downgrading libx11-6 to 2:1.0.3-6 resolved the problem.
> 
> So this behaviour may be triggered by something in the new libx11-6, but
> it's very unlikely to be caused fully by it but more likely at least
> partly by the X server. Please attach the output of
> 
> /usr/share/bug/xserver-xorg-core/script 3>&1
> 
> 

Hi, I ran that against both versions of libx11-6 above and have attached 
the output.

Regards,

Arthur.
[1-0-3-6.tmp (text/plain, inline)]
Contents of /var/lib/x11/X.roster:
xserver-xorg

/etc/X11/X target unchanged from checksum in /var/lib/x11/X.md5sum.

X server symlink status:
lrwxrwxrwx 1 root root 13 2006-05-20 21:19 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1697904 2007-03-16 01:46 /usr/bin/Xorg

Contents of /var/lib/x11/xorg.conf.roster:
xserver-xorg

VGA-compatible devices on PCI bus:
01:00.0 VGA compatible controller: Cirrus Logic GD 5465 [Laguna] (rev 03)

/etc/X11/xorg.conf does not match checksum in /var/lib/x11/xorg.conf.md5sum.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 2723 2006-11-15 13:05 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
# (Type "man /etc/X11/xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
	FontPath	"/usr/share/fonts/X11/misc"
	FontPath	"/usr/share/fonts/X11/cyrillic"
	FontPath	"/usr/share/fonts/X11/100dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/75dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/Type1"
	FontPath	"/usr/share/fonts/X11/100dpi"
	FontPath	"/usr/share/fonts/X11/75dpi"
	# path to defoma fonts
	FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
	Load	"bitmap"
	Load	"dbe"
	Load	"ddc"
	Load	"dri"
	Load	"extmod"
	Load	"freetype"
	Load	"glx"
	Load	"int10"
	Load	"record"
	Load	"type1"
	Load	"v4l"
	Load	"vbe"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc104"
	Option		"XkbLayout"	"us"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ExplorerPS/2"
	Option		"Emulate3Buttons"	"true"
EndSection

Section "Device"
	Identifier	"Cirrus Logic GD 5465 [Laguna]"
	Driver		"cirrus"
	BusID		"PCI:1:0:0"
EndSection

Section "Monitor"
	Identifier	"Philips 107S"
	Option		"DPMS"
	HorizSync	30-70
	VertRefresh	50-160
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"Cirrus Logic GD 5465 [Laguna]"
	Monitor		"Philips 107S"
	DefaultDepth	24
	SubSection "Display"
		Depth		1
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		4
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		8
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		15
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		16
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		24
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
EndSection

Section "DRI"
	Mode	0666
EndSection


Xorg X server log files on system:
-rw-r--r-- 1 root root  4403 2006-04-11 14:14 /var/log/Xorg.8.log
-rw-r--r-- 1 root root 33697 2006-12-23 00:01 /var/log/Xorg.1.log
-rw-r--r-- 1 root root 39062 2007-03-20 18:44 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

This is a pre-release version of the X server from The X.Org Foundation.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.

X Window System Version 1.2.99.902 (1.3.0 RC 2)
Release Date: 14 March 2007
X Protocol Version 11, Revision 0, Release 1.2.99.902
Build Operating System: Linux Debian
Current Operating System: Linux victoria 2.6.18 #1 SMP PREEMPT Fri Feb 23 02:40:49 CST 2007 i686
Build Date: 15 March 2007
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Mar 20 13:59:10 2007
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Philips 107S"
(**) |   |-->Device "Cirrus Logic GD 5465 [Laguna]"
(**) |-->Input Device "Generic Keyboard"
(**) |-->Input Device "Configured Mouse"
(**) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/cyrillic,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
(II) Open APM successful
(II) Loader magic: 0x81d9280
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 1.1
	X.Org XInput driver : 0.7
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.1
(++) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,7180 card 0000,0000 rev 03 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,7181 card 0000,0000 rev 03 class 06,04,00 hdr 01
(II) PCI: 00:07:0: chip 8086,7110 card 0000,0000 rev 01 class 06,01,00 hdr 80
(II) PCI: 00:07:1: chip 8086,7111 card 0000,0000 rev 01 class 01,01,80 hdr 00
(II) PCI: 00:07:2: chip 8086,7112 card 0000,0000 rev 01 class 0c,03,00 hdr 00
(II) PCI: 00:07:3: chip 8086,7113 card 0000,0000 rev 01 class 06,80,00 hdr 00
(II) PCI: 00:09:0: chip 1102,0002 card 1102,8065 rev 0a class 04,01,00 hdr 80
(II) PCI: 00:09:1: chip 1102,7002 card 1102,0020 rev 0a class 09,80,00 hdr 80
(II) PCI: 00:0a:0: chip 1033,0035 card 3083,0035 rev 43 class 0c,03,10 hdr 80
(II) PCI: 00:0a:1: chip 1033,0035 card 3083,0035 rev 43 class 0c,03,10 hdr 00
(II) PCI: 00:0a:2: chip 1033,00e0 card 3083,00e0 rev 04 class 0c,03,20 hdr 00
(II) PCI: 00:0b:0: chip 10ec,8139 card 10ec,8139 rev 10 class 02,00,00 hdr 00
(II) PCI: 01:00:0: chip 1013,00d6 card 1013,0000 rev 03 class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,1), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x000a (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0	0x0000d000 - 0x0000dfff (0x1000) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0xe4000000 - 0xe7ffffff (0x4000000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0	0x20000000 - 0x200fffff (0x100000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:7:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(--) PCI:*(1:0:0) Cirrus Logic GD 5465 [Laguna] rev 3, Mem @ 0xe4000000/25, 0xe7000000/16
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) PCI Memory resource overlap reduced 0xe0000000 from 0xe3ffffff to 0xdfffffff
(II) Active PCI resource ranges:
	[0] -1	0	0xe9002000 - 0xe90020ff (0x100) MX[B]
	[1] -1	0	0xe9001000 - 0xe90010ff (0x100) MX[B]
	[2] -1	0	0xe9000000 - 0xe9000fff (0x1000) MX[B]
	[3] -1	0	0xe9003000 - 0xe9003fff (0x1000) MX[B]
	[4] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[5] -1	0	0xe7000000 - 0xe700ffff (0x10000) MX[B](B)
	[6] -1	0	0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
	[7] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[8] -1	0	0x0000e800 - 0x0000e807 (0x8) IX[B]
	[9] -1	0	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[10] -1	0	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[11] -1	0	0x0000f000 - 0x0000f00f (0x10) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xe9002000 - 0xe90020ff (0x100) MX[B]
	[1] -1	0	0xe9001000 - 0xe90010ff (0x100) MX[B]
	[2] -1	0	0xe9000000 - 0xe9000fff (0x1000) MX[B]
	[3] -1	0	0xe9003000 - 0xe9003fff (0x1000) MX[B]
	[4] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[5] -1	0	0xe7000000 - 0xe700ffff (0x10000) MX[B](B)
	[6] -1	0	0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
	[7] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[8] -1	0	0x0000e800 - 0x0000e807 (0x8) IX[B]
	[9] -1	0	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[10] -1	0	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[11] -1	0	0x0000f000 - 0x0000f00f (0x10) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xe9002000 - 0xe90020ff (0x100) MX[B]
	[5] -1	0	0xe9001000 - 0xe90010ff (0x100) MX[B]
	[6] -1	0	0xe9000000 - 0xe9000fff (0x1000) MX[B]
	[7] -1	0	0xe9003000 - 0xe9003fff (0x1000) MX[B]
	[8] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[9] -1	0	0xe7000000 - 0xe700ffff (0x10000) MX[B](B)
	[10] -1	0	0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
	[11] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[12] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[13] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[14] -1	0	0x0000e800 - 0x0000e807 (0x8) IX[B]
	[15] -1	0	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[16] -1	0	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[17] -1	0	0x0000f000 - 0x0000f00f (0x10) IX[B]
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "ddc"(II) Module alread ybuilt-in(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension XFree86-DRI
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "freetype"
(II) Loading /usr/lib/xorg/modules//fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.2.99.902, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.1
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension RECORD
(II) LoadModule: "type1"
(II) Loading /usr/lib/xorg/modules//fonts/libtype1.so
(II) Module type1: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.2
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font Type1
(II) LoadModule: "v4l"
(II) Loading /usr/lib/xorg/modules/drivers//v4l_drv.so
(II) Module v4l: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 0.1.1
	ABI class: X.Org Video Driver, version 1.1
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules//libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.1.0
	ABI class: X.Org Video Driver, version 1.1
(II) LoadModule: "cirrus"
(II) Loading /usr/lib/xorg/modules/drivers//cirrus_drv.so
(II) Module cirrus: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.1.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 1.1
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.1.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.6
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.1.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.6
(II) v4l driver for Video4Linux
(II) CIRRUS: driver for Cirrus chipsets: CLGD5430, CLGD5434-4, CLGD5434-8,
	CLGD5436, CLGD5446, CLGD5480, CL-GD5462, CL-GD5464, CL-GD5464BD,
	CL-GD5465, CL-GD7548
(II) Primary Device is: PCI 01:00:0
(--) Chipset CL-GD5465 found
(II) Loading sub module "cirrus_laguna"
(II) LoadModule: "cirrus_laguna"
(II) Loading /usr/lib/xorg/modules/drivers//cirrus_laguna.so
(II) Module cirrus_laguna: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.1
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xe9002000 - 0xe90020ff (0x100) MX[B]
	[5] -1	0	0xe9001000 - 0xe90010ff (0x100) MX[B]
	[6] -1	0	0xe9000000 - 0xe9000fff (0x1000) MX[B]
	[7] -1	0	0xe9003000 - 0xe9003fff (0x1000) MX[B]
	[8] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[9] -1	0	0xe7000000 - 0xe700ffff (0x10000) MX[B](B)
	[10] -1	0	0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
	[11] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[12] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[13] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[14] -1	0	0x0000e800 - 0x0000e807 (0x8) IX[B]
	[15] -1	0	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[16] -1	0	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[17] -1	0	0x0000f000 - 0x0000f00f (0x10) IX[B]
(II) resource ranges after probing:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xe9002000 - 0xe90020ff (0x100) MX[B]
	[5] -1	0	0xe9001000 - 0xe90010ff (0x100) MX[B]
	[6] -1	0	0xe9000000 - 0xe9000fff (0x1000) MX[B]
	[7] -1	0	0xe9003000 - 0xe9003fff (0x1000) MX[B]
	[8] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[9] -1	0	0xe7000000 - 0xe700ffff (0x10000) MX[B](B)
	[10] -1	0	0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
	[11] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[12] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[13] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[14] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[15] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[16] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[17] -1	0	0x0000e800 - 0x0000e807 (0x8) IX[B]
	[18] -1	0	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[19] -1	0	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[20] -1	0	0x0000f000 - 0x0000f00f (0x10) IX[B]
	[21] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[22] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
LgPreInit
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules//libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 0.1.0
	ABI class: X.Org Video Driver, version 1.1
(II) CIRRUS(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/lib/xorg/modules//libint10.so
(II) CIRRUS(0): Primary V_BIOS segment is: 0xc000
(**) CIRRUS(0): Depth 24, (--) framebuffer bpp 24
(==) CIRRUS(0): RGB weight 888
(==) CIRRUS(0): Default visual is TrueColor
(==) CIRRUS(0): Using SW cursor
(--) CIRRUS(0): Linear framebuffer at 0xE4000000
(--) CIRRUS(0): MMIO registers at 0xE7000000
Scratch Pads: 0:44 1:80 2:03 3:20
(--) CIRRUS(0): VideoRAM: 4096 kByte
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"(II) Module alread ybuilt-in(II) Loading sub module "i2c"
(II) LoadModule: "i2c"(II) Module alread ybuilt-in(==) CIRRUS(0): Write-combining range (0xe4000000,0x400000)
LgI2CInit
(II) CIRRUS(0): I2C bus "I2C bus 1" initialized.
(II) CIRRUS(0): I2C bus "I2C bus 2" initialized.
(II) CIRRUS(0): I2C device "I2C bus 1:ddc2" registered at address 0xA0.
(II) CIRRUS(0): I2C device "I2C bus 1:ddc2" removed.
(II) CIRRUS(0): I2C Monitor info: 0x8206c60
(II) CIRRUS(0): Manufacturer: PHL  Model: 770c  Serial#: 243639
(II) CIRRUS(0): Year: 2000  Week: 23
(II) CIRRUS(0): EDID Version: 1.1
(II) CIRRUS(0): Analog Display Input,  Input Voltage Level: 0.700/0.700 V
(II) CIRRUS(0): Sync:  Separate
(II) CIRRUS(0): Max H-Image Size [cm]: horiz.: 31  vert.: 23
(II) CIRRUS(0): Gamma: 2.87
(II) CIRRUS(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) CIRRUS(0): redX: 0.620 redY: 0.345   greenX: 0.290 greenY: 0.610
(II) CIRRUS(0): blueX: 0.155 blueY: 0.065   whiteX: 0.283 whiteY: 0.297
(II) CIRRUS(0): Supported VESA Video Modes:
(II) CIRRUS(0): 720x400@70Hz
(II) CIRRUS(0): 640x480@60Hz
(II) CIRRUS(0): 640x480@72Hz
(II) CIRRUS(0): 640x480@75Hz
(II) CIRRUS(0): 800x600@60Hz
(II) CIRRUS(0): 800x600@72Hz
(II) CIRRUS(0): 800x600@75Hz
(II) CIRRUS(0): 832x624@75Hz
(II) CIRRUS(0): 1024x768@60Hz
(II) CIRRUS(0): 1024x768@70Hz
(II) CIRRUS(0): 1024x768@75Hz
(II) CIRRUS(0): Manufacturer's mask: 0
(II) CIRRUS(0): Supported Future Video Modes:
(II) CIRRUS(0): #0: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) CIRRUS(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) CIRRUS(0): #2: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) CIRRUS(0): #3: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) CIRRUS(0): #4: hsize: 640  vsize 480  refresh: 100  vid: 26673
(II) CIRRUS(0): #5: hsize: 800  vsize 600  refresh: 99  vid: 26437
(II) CIRRUS(0): #6: hsize: 1280  vsize 960  refresh: 60  vid: 16513
(II) CIRRUS(0): #7: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) CIRRUS(0): Supported additional Video Mode:
(II) CIRRUS(0): clock: 25.2 MHz   Image Size:  306 x 230 mm
(II) CIRRUS(0): h_active: 640  h_sync: 656  h_sync_end 752 h_blank_end 800 h_border: 0
(II) CIRRUS(0): v_active: 350  v_sync: 387  v_sync_end 389 v_blanking: 449 v_border: 0
(II) CIRRUS(0): Serial No:  BZ  243639
(II) CIRRUS(0): Monitor name: PHILIPS 107S
(II) CIRRUS(0): Ranges: V min: 50  V max: 160 Hz, H min: 30  H max: 70 kHz, PixClock max 110 MHz
(II) CIRRUS(0): EDID (in hex):
(II) CIRRUS(0): 	00ffffffffffff00410c0c77b7b70300
(II) CIRRUS(0): 	170a0101681f17bbe8d5f89e584a9c27
(II) CIRRUS(0): 	10484cadee0031594559615981803168
(II) CIRRUS(0): 	45678140714fd60980a0205e63101060
(II) CIRRUS(0): 	520832e61000001a000000ff0020425a
(II) CIRRUS(0): 	20203234333633390a20000000fc0050
(II) CIRRUS(0): 	48494c49505320313037530a000000fd
(II) CIRRUS(0): 	0032a01e460b000a202020202020001b
(II) CIRRUS(0): end of I2C Monitor info

(II) CIRRUS(0): Using hsync ranges from config file
(II) CIRRUS(0): Using vrefresh ranges from config file
(II) CIRRUS(0): Printing DDC gathered Modelines:
(II) CIRRUS(0): Modeline "800x600"   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync
(II) CIRRUS(0): Modeline "640x480"   31.50  640 656 720 840  480 481 484 500 -hsync -vsync
(II) CIRRUS(0): Modeline "640x480"   31.50  640 664 704 832  480 489 491 520 -hsync -vsync
(II) CIRRUS(0): Modeline "640x480"   25.20  640 656 752 800  480 490 492 525 -hsync -vsync
(II) CIRRUS(0): Modeline "720x400"   28.32  720 738 846 900  400 412 414 449 -hsync +vsync
(II) CIRRUS(0): Modeline "1024x768"   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync
(II) CIRRUS(0): Modeline "1024x768"   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync
(II) CIRRUS(0): Modeline "1024x768"   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync
(II) CIRRUS(0): Modeline "832x624"   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync
(II) CIRRUS(0): Modeline "800x600"   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync
(II) CIRRUS(0): Modeline "800x600"   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync
(II) CIRRUS(0): Modeline "640x480"   35.00  640 664 728 816  480 483 487 507 -hsync +vsync
(II) CIRRUS(0): Modeline "800x600"   56.75  800 848 928 1056  600 603 607 633 -hsync +vsync
(II) CIRRUS(0): Modeline "1024x768"   94.50  1024 1096 1200 1376  768 771 775 809 -hsync +vsync
(II) CIRRUS(0): Modeline "1280x1024"  109.00  1280 1368 1496 1712  1024 1027 1034 1063 -hsync +vsync
(II) CIRRUS(0): Modeline "640x480"   42.50  640 672 736 832  480 483 487 512 -hsync +vsync
(II) CIRRUS(0): Modeline "800x600"   66.50  800 848 928 1056  600 603 607 638 -hsync +vsync
(II) CIRRUS(0): Modeline "1280x960"  101.25  1280 1360 1488 1696  960 963 967 996 -hsync +vsync
(II) CIRRUS(0): Modeline "1152x864"  104.00  1152 1224 1344 1536  864 867 871 905 -hsync +vsync
(II) CIRRUS(0): Modeline "640x350"   25.18  640 656 752 800  350 387 389 449 -hsync +vsync
(==) CIRRUS(0): Using gamma correction (1.0, 1.0, 1.0)
(==) CIRRUS(0): Min pixel clock is 12 MHz
(--) CIRRUS(0): Max pixel clock is 170 MHz
(II) CIRRUS(0): Philips 107S: Using hsync range of 30.00-70.00 kHz
(II) CIRRUS(0): Philips 107S: Using vrefresh range of 50.00-160.00 Hz
(II) CIRRUS(0): Clock range:  12.00 to 170.00 MHz
(II) CIRRUS(0): Not using default mode "320x175" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "320x200" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "360x200" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "640x480" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1280x960" (hsync out of range)
(II) CIRRUS(0): Not using default mode "640x480" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1280x1024" (hsync out of range)
(II) CIRRUS(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1280x1024" (hsync out of range)
(II) CIRRUS(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1600x1200" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1600x1200" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1600x1200" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1600x1200" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1600x1200" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1792x1344" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "896x672" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1792x1344" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "896x672" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1856x1392" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "928x696" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1856x1392" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "928x696" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1920x1440" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1920x1440" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "416x312" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "640x384" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "640x400" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "576x384" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1152x864" (hsync out of range)
(II) CIRRUS(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1400x1050" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1400x1050" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1400x1050" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1400x1050" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "720x450" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1600x1024" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "800x512" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1680x1050" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "840x525" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1920x1200" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "960x600" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1920x1200" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "960x600" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1920x1440" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "2048x1536" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "2048x1536" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "2048x1536" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using driver mode "1280x1024" (width too large for virtual size)
(II) CIRRUS(0): Not using default mode "1280x1024" (width too large for virtual size)
(II) CIRRUS(0): Not using default mode "1440x900" (width too large for virtual size)
(II) CIRRUS(0): Not using driver mode "1280x960" (width too large for virtual size)
(II) CIRRUS(0): Not using default mode "1280x960" (width too large for virtual size)
(II) CIRRUS(0): Not using default mode "1280x800" (width too large for virtual size)
(II) CIRRUS(0): Not using driver mode "1152x864" (width too large for virtual size)
(II) CIRRUS(0): Not using default mode "1152x864" (width too large for virtual size)
(II) CIRRUS(0): Not using default mode "1280x768" (width too large for virtual size)
(II) CIRRUS(0): Not using default mode "1152x768" (width too large for virtual size)
(--) CIRRUS(0): Virtual size is 1024x768 (pitch 1109)
(**) CIRRUS(0): *Driver mode "1024x768": 94.5 MHz, 68.7 kHz, 84.9 Hz
(II) CIRRUS(0): Modeline "1024x768"   94.50  1024 1096 1200 1376  768 771 775 809 -hsync +vsync
(**) CIRRUS(0): *Driver mode "800x600": 66.5 MHz, 63.0 kHz, 98.7 Hz
(II) CIRRUS(0): Modeline "800x600"   66.50  800 848 928 1056  600 603 607 638 -hsync +vsync
(**) CIRRUS(0): *Driver mode "640x480": 42.5 MHz, 51.1 kHz, 99.8 Hz
(II) CIRRUS(0): Modeline "640x480"   42.50  640 672 736 832  480 483 487 512 -hsync +vsync
(**) CIRRUS(0):  Driver mode "1024x768": 78.8 MHz, 60.1 kHz, 75.1 Hz
(II) CIRRUS(0): Modeline "1024x768"   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync
(**) CIRRUS(0):  Driver mode "1024x768": 75.0 MHz, 56.5 kHz, 70.1 Hz
(II) CIRRUS(0): Modeline "1024x768"   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync
(**) CIRRUS(0):  Driver mode "1024x768": 65.0 MHz, 48.4 kHz, 60.0 Hz
(II) CIRRUS(0): Modeline "1024x768"   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync
(**) CIRRUS(0):  Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(II) CIRRUS(0): Modeline "1024x768"   94.50  1024 1072 1168 1376  768 769 772 808 +hsync +vsync
(**) CIRRUS(0):  Default mode "1024x768": 78.8 MHz, 60.0 kHz, 75.0 Hz
(II) CIRRUS(0): Modeline "1024x768"   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync
(**) CIRRUS(0):  Default mode "1024x768": 75.0 MHz, 56.5 kHz, 70.1 Hz
(II) CIRRUS(0): Modeline "1024x768"   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync
(**) CIRRUS(0):  Default mode "1024x768": 65.0 MHz, 48.4 kHz, 60.0 Hz
(II) CIRRUS(0): Modeline "1024x768"   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync
(**) CIRRUS(0):  Driver mode "832x624": 57.3 MHz, 49.7 kHz, 74.6 Hz
(II) CIRRUS(0): Modeline "832x624"   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync
(**) CIRRUS(0):  Default mode "832x624": 57.3 MHz, 49.7 kHz, 74.6 Hz
(II) CIRRUS(0): Modeline "832x624"   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync
(**) CIRRUS(0):  Driver mode "800x600": 56.8 MHz, 53.7 kHz, 84.9 Hz
(II) CIRRUS(0): Modeline "800x600"   56.75  800 848 928 1056  600 603 607 633 -hsync +vsync
(**) CIRRUS(0):  Driver mode "800x600": 49.5 MHz, 46.9 kHz, 75.0 Hz
(II) CIRRUS(0): Modeline "800x600"   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync
(**) CIRRUS(0):  Driver mode "800x600": 50.0 MHz, 48.1 kHz, 72.2 Hz
(II) CIRRUS(0): Modeline "800x600"   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync
(**) CIRRUS(0):  Driver mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz
(II) CIRRUS(0): Modeline "800x600"   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync
(**) CIRRUS(0):  Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz
(II) CIRRUS(0): Modeline "800x600"   56.30  800 832 896 1048  600 601 604 631 +hsync +vsync
(**) CIRRUS(0):  Default mode "800x600": 49.5 MHz, 46.9 kHz, 75.0 Hz
(II) CIRRUS(0): Modeline "800x600"   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync
(**) CIRRUS(0):  Default mode "800x600": 50.0 MHz, 48.1 kHz, 72.2 Hz
(II) CIRRUS(0): Modeline "800x600"   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync
(**) CIRRUS(0):  Default mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz
(II) CIRRUS(0): Modeline "800x600"   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync
(**) CIRRUS(0):  Default mode "800x600": 36.0 MHz, 35.2 kHz, 56.2 Hz
(II) CIRRUS(0): Modeline "800x600"   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync
(**) CIRRUS(0):  Driver mode "640x480": 35.0 MHz, 42.9 kHz, 84.6 Hz
(II) CIRRUS(0): Modeline "640x480"   35.00  640 664 728 816  480 483 487 507 -hsync +vsync
(**) CIRRUS(0):  Driver mode "640x480": 31.5 MHz, 37.5 kHz, 75.0 Hz
(II) CIRRUS(0): Modeline "640x480"   31.50  640 656 720 840  480 481 484 500 -hsync -vsync
(**) CIRRUS(0):  Driver mode "640x480": 31.5 MHz, 37.9 kHz, 72.8 Hz
(II) CIRRUS(0): Modeline "640x480"   31.50  640 664 704 832  480 489 491 520 -hsync -vsync
(**) CIRRUS(0):  Driver mode "640x480": 25.2 MHz, 31.5 kHz, 60.0 Hz
(II) CIRRUS(0): Modeline "640x480"   25.20  640 656 752 800  480 490 492 525 -hsync -vsync
(**) CIRRUS(0):  Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz
(II) CIRRUS(0): Modeline "640x480"   36.00  640 696 752 832  480 481 484 509 -hsync -vsync
(**) CIRRUS(0):  Default mode "640x480": 31.5 MHz, 37.5 kHz, 75.0 Hz
(II) CIRRUS(0): Modeline "640x480"   31.50  640 656 720 840  480 481 484 500 -hsync -vsync
(**) CIRRUS(0):  Default mode "640x480": 31.5 MHz, 37.9 kHz, 72.8 Hz
(II) CIRRUS(0): Modeline "640x480"   31.50  640 664 704 832  480 489 492 520 -hsync -vsync
(**) CIRRUS(0):  Default mode "640x480": 25.2 MHz, 31.5 kHz, 59.9 Hz
(II) CIRRUS(0): Modeline "640x480"   25.18  640 656 752 800  480 490 492 525 -hsync -vsync
(**) CIRRUS(0):  Driver mode "720x400": 28.3 MHz, 31.5 kHz, 70.1 Hz
(II) CIRRUS(0): Modeline "720x400"   28.32  720 738 846 900  400 412 414 449 -hsync +vsync
(**) CIRRUS(0):  Default mode "720x400": 35.5 MHz, 37.9 kHz, 85.0 Hz
(II) CIRRUS(0): Modeline "720x400"   35.50  720 756 828 936  400 401 404 446 -hsync +vsync
(**) CIRRUS(0):  Default mode "640x400": 31.5 MHz, 37.9 kHz, 85.1 Hz
(II) CIRRUS(0): Modeline "640x400"   31.50  640 672 736 832  400 401 404 445 -hsync +vsync
(**) CIRRUS(0):  Driver mode "640x350": 25.2 MHz, 31.5 kHz, 70.1 Hz
(II) CIRRUS(0): Modeline "640x350"   25.18  640 656 752 800  350 387 389 449 -hsync +vsync
(**) CIRRUS(0):  Default mode "640x350": 31.5 MHz, 37.9 kHz, 85.1 Hz
(II) CIRRUS(0): Modeline "640x350"   31.50  640 672 736 832  350 382 385 445 +hsync -vsync
(**) CIRRUS(0): Display dimensions: (310, 230) mm
(**) CIRRUS(0): DPI set to (83, 84)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.3
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules//libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.2.0
	ABI class: X.Org Video Driver, version 1.1
(==) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0	0xe7000000 - 0xe700ffff (0x10000) MX[B]
	[1] 0	0	0xe4000000 - 0xe5ffffff (0x2000000) MX[B]
	[2] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[3] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[4] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[5] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[6] -1	0	0xe9002000 - 0xe90020ff (0x100) MX[B]
	[7] -1	0	0xe9001000 - 0xe90010ff (0x100) MX[B]
	[8] -1	0	0xe9000000 - 0xe9000fff (0x1000) MX[B]
	[9] -1	0	0xe9003000 - 0xe9003fff (0x1000) MX[B]
	[10] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[11] -1	0	0xe7000000 - 0xe700ffff (0x10000) MX[B](B)
	[12] -1	0	0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
	[13] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B](OprU)
	[14] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprU)
	[15] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprU)
	[16] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[17] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[18] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[19] -1	0	0x0000e800 - 0x0000e807 (0x8) IX[B]
	[20] -1	0	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[21] -1	0	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[22] -1	0	0x0000f000 - 0x0000f00f (0x10) IX[B]
	[23] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[24] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
LgScreenInit
(==) CIRRUS(0): Write-combining range (0xe4000000,0x400000)
(II) CIRRUS(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
LgSave
LgModeInit 24 bpp,   94500   1024 1096 1200 1376   768 771 775 809
LgModeInit: depth 24 bits
SynthClock = 94500
LgSetClock freq=94.500MHz
LgSetClock: nom=42 den=14 ffreq=94.498MHz
LgScreenInit after miSetVisualTypes
LgScreenInit after depth dependent init
(II) CIRRUS(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	Solid Horizontal and Vertical Lines
(==) CIRRUS(0): Silken mouse enabled
(**) Option "dpms"
(**) CIRRUS(0): DPMS enabled
(==) RandR enabled
(II) Setting vga for screen 0.
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension XAccessControlExtension
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(EE) AIGLX: Screen 0 is not DRI capable
(II) Loading local sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/lib/xorg/modules/extensions//libGLcore.so
(II) Module GLcore: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) GLX: Initialized MESA-PROXY GL provider for screen 0
(**) Option "CoreKeyboard"
(**) Generic Keyboard: Core Keyboard
(**) Option "Protocol" "standard"
(**) Generic Keyboard: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Generic Keyboard: XkbRules: "xorg"
(**) Option "XkbModel" "pc104"
(**) Generic Keyboard: XkbModel: "pc104"
(**) Option "XkbLayout" "us"
(**) Generic Keyboard: XkbLayout: "us"
(**) Option "CustomKeycodes" "off"
(**) Generic Keyboard: CustomKeycodes disabled
(**) Option "Protocol" "ExplorerPS/2"
(**) Configured Mouse: Device: "/dev/input/mice"
(**) Configured Mouse: Protocol: "ExplorerPS/2"
(**) Option "CorePointer"
(**) Configured Mouse: Core Pointer
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "true"
(**) Configured Mouse: Emulate3Buttons, Emulate3Timeout: 50
(**) Configured Mouse: ZAxisMapping: buttons 4 and 5
(**) Configured Mouse: Buttons: 9
(II) XINPUT: Adding extended input device "Configured Mouse" (type: MOUSE)
(II) XINPUT: Adding extended input device "Generic Keyboard" (type: KEYBOARD)
(II) Configured Mouse: ps2EnableDataReporting: succeeded
SetClientVersion: 0 9
SetGrabKeysState - disabled
LgDisplayPowerManagementSet: 1
LgDisplayPowerManagementSet: 2
LgDisplayPowerManagementSet: 0
SetGrabKeysState - enabled
LgDisplayPowerManagementSet: 0
LgModeInit 24 bpp,   31500   640 672 736 832   400 401 404 445
LgModeInit: depth 24 bits
SynthClock = 31500
LgSetClock freq=31.500MHz
LgSetClock: nom=42 den=1f ffreq=31.499MHz
LgModeInit 24 bpp,   94500   1024 1096 1200 1376   768 771 775 809
LgModeInit: depth 24 bits
SynthClock = 94500
LgSetClock freq=94.500MHz
LgSetClock: nom=42 den=14 ffreq=94.498MHz
LgModeInit 24 bpp,   31500   640 672 736 832   400 401 404 445
LgModeInit: depth 24 bits
SynthClock = 31500
LgSetClock freq=31.500MHz
LgSetClock: nom=42 den=1f ffreq=31.499MHz
LgModeInit 24 bpp,   94500   1024 1096 1200 1376   768 771 775 809
LgModeInit: depth 24 bits
SynthClock = 94500
LgSetClock freq=94.500MHz
LgSetClock: nom=42 den=14 ffreq=94.498MHz
LgDisplayPowerManagementSet: 0

[1-1-1-1.tmp (text/plain, inline)]
Contents of /var/lib/x11/X.roster:
xserver-xorg

/etc/X11/X target unchanged from checksum in /var/lib/x11/X.md5sum.

X server symlink status:
lrwxrwxrwx 1 root root 13 2006-05-20 21:19 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1697904 2007-03-16 01:46 /usr/bin/Xorg

Contents of /var/lib/x11/xorg.conf.roster:
xserver-xorg

VGA-compatible devices on PCI bus:
01:00.0 VGA compatible controller: Cirrus Logic GD 5465 [Laguna] (rev 03)

/etc/X11/xorg.conf does not match checksum in /var/lib/x11/xorg.conf.md5sum.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 2723 2006-11-15 13:05 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
# (Type "man /etc/X11/xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
	FontPath	"/usr/share/fonts/X11/misc"
	FontPath	"/usr/share/fonts/X11/cyrillic"
	FontPath	"/usr/share/fonts/X11/100dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/75dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/Type1"
	FontPath	"/usr/share/fonts/X11/100dpi"
	FontPath	"/usr/share/fonts/X11/75dpi"
	# path to defoma fonts
	FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
	Load	"bitmap"
	Load	"dbe"
	Load	"ddc"
	Load	"dri"
	Load	"extmod"
	Load	"freetype"
	Load	"glx"
	Load	"int10"
	Load	"record"
	Load	"type1"
	Load	"v4l"
	Load	"vbe"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc104"
	Option		"XkbLayout"	"us"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ExplorerPS/2"
	Option		"Emulate3Buttons"	"true"
EndSection

Section "Device"
	Identifier	"Cirrus Logic GD 5465 [Laguna]"
	Driver		"cirrus"
	BusID		"PCI:1:0:0"
EndSection

Section "Monitor"
	Identifier	"Philips 107S"
	Option		"DPMS"
	HorizSync	30-70
	VertRefresh	50-160
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"Cirrus Logic GD 5465 [Laguna]"
	Monitor		"Philips 107S"
	DefaultDepth	24
	SubSection "Display"
		Depth		1
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		4
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		8
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		15
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		16
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		24
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
EndSection

Section "DRI"
	Mode	0666
EndSection


Xorg X server log files on system:
-rw-r--r-- 1 root root  4403 2006-04-11 14:14 /var/log/Xorg.8.log
-rw-r--r-- 1 root root 33697 2006-12-23 00:01 /var/log/Xorg.1.log
-rw-r--r-- 1 root root 38118 2007-03-20 19:56 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

This is a pre-release version of the X server from The X.Org Foundation.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.

X Window System Version 1.2.99.902 (1.3.0 RC 2)
Release Date: 14 March 2007
X Protocol Version 11, Revision 0, Release 1.2.99.902
Build Operating System: Linux Debian
Current Operating System: Linux victoria 2.6.18 #1 SMP PREEMPT Fri Feb 23 02:40:49 CST 2007 i686
Build Date: 15 March 2007
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Mar 20 19:56:11 2007
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Philips 107S"
(**) |   |-->Device "Cirrus Logic GD 5465 [Laguna]"
(**) |-->Input Device "Generic Keyboard"
(**) |-->Input Device "Configured Mouse"
(**) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/cyrillic,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
(II) Open APM successful
(II) Loader magic: 0x81d9280
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 1.1
	X.Org XInput driver : 0.7
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.1
(++) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,7180 card 0000,0000 rev 03 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,7181 card 0000,0000 rev 03 class 06,04,00 hdr 01
(II) PCI: 00:07:0: chip 8086,7110 card 0000,0000 rev 01 class 06,01,00 hdr 80
(II) PCI: 00:07:1: chip 8086,7111 card 0000,0000 rev 01 class 01,01,80 hdr 00
(II) PCI: 00:07:2: chip 8086,7112 card 0000,0000 rev 01 class 0c,03,00 hdr 00
(II) PCI: 00:07:3: chip 8086,7113 card 0000,0000 rev 01 class 06,80,00 hdr 00
(II) PCI: 00:09:0: chip 1102,0002 card 1102,8065 rev 0a class 04,01,00 hdr 80
(II) PCI: 00:09:1: chip 1102,7002 card 1102,0020 rev 0a class 09,80,00 hdr 80
(II) PCI: 00:0a:0: chip 1033,0035 card 3083,0035 rev 43 class 0c,03,10 hdr 80
(II) PCI: 00:0a:1: chip 1033,0035 card 3083,0035 rev 43 class 0c,03,10 hdr 00
(II) PCI: 00:0a:2: chip 1033,00e0 card 3083,00e0 rev 04 class 0c,03,20 hdr 00
(II) PCI: 00:0b:0: chip 10ec,8139 card 10ec,8139 rev 10 class 02,00,00 hdr 00
(II) PCI: 01:00:0: chip 1013,00d6 card 1013,0000 rev 03 class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,1), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x000a (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0	0x0000d000 - 0x0000dfff (0x1000) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0xe4000000 - 0xe7ffffff (0x4000000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0	0x20000000 - 0x200fffff (0x100000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:7:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(--) PCI:*(1:0:0) Cirrus Logic GD 5465 [Laguna] rev 3, Mem @ 0xe4000000/25, 0xe7000000/16
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) PCI Memory resource overlap reduced 0xe0000000 from 0xe3ffffff to 0xdfffffff
(II) Active PCI resource ranges:
	[0] -1	0	0xe9002000 - 0xe90020ff (0x100) MX[B]
	[1] -1	0	0xe9001000 - 0xe90010ff (0x100) MX[B]
	[2] -1	0	0xe9000000 - 0xe9000fff (0x1000) MX[B]
	[3] -1	0	0xe9003000 - 0xe9003fff (0x1000) MX[B]
	[4] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[5] -1	0	0xe7000000 - 0xe700ffff (0x10000) MX[B](B)
	[6] -1	0	0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
	[7] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[8] -1	0	0x0000e800 - 0x0000e807 (0x8) IX[B]
	[9] -1	0	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[10] -1	0	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[11] -1	0	0x0000f000 - 0x0000f00f (0x10) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xe9002000 - 0xe90020ff (0x100) MX[B]
	[1] -1	0	0xe9001000 - 0xe90010ff (0x100) MX[B]
	[2] -1	0	0xe9000000 - 0xe9000fff (0x1000) MX[B]
	[3] -1	0	0xe9003000 - 0xe9003fff (0x1000) MX[B]
	[4] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[5] -1	0	0xe7000000 - 0xe700ffff (0x10000) MX[B](B)
	[6] -1	0	0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
	[7] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[8] -1	0	0x0000e800 - 0x0000e807 (0x8) IX[B]
	[9] -1	0	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[10] -1	0	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[11] -1	0	0x0000f000 - 0x0000f00f (0x10) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xe9002000 - 0xe90020ff (0x100) MX[B]
	[5] -1	0	0xe9001000 - 0xe90010ff (0x100) MX[B]
	[6] -1	0	0xe9000000 - 0xe9000fff (0x1000) MX[B]
	[7] -1	0	0xe9003000 - 0xe9003fff (0x1000) MX[B]
	[8] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[9] -1	0	0xe7000000 - 0xe700ffff (0x10000) MX[B](B)
	[10] -1	0	0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
	[11] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[12] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[13] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[14] -1	0	0x0000e800 - 0x0000e807 (0x8) IX[B]
	[15] -1	0	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[16] -1	0	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[17] -1	0	0x0000f000 - 0x0000f00f (0x10) IX[B]
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "ddc"(II) Module alread ybuilt-in(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension XFree86-DRI
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "freetype"
(II) Loading /usr/lib/xorg/modules//fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.2.99.902, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.1
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension RECORD
(II) LoadModule: "type1"
(II) Loading /usr/lib/xorg/modules//fonts/libtype1.so
(II) Module type1: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.2
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font Type1
(II) LoadModule: "v4l"
(II) Loading /usr/lib/xorg/modules/drivers//v4l_drv.so
(II) Module v4l: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 0.1.1
	ABI class: X.Org Video Driver, version 1.1
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules//libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.1.0
	ABI class: X.Org Video Driver, version 1.1
(II) LoadModule: "cirrus"
(II) Loading /usr/lib/xorg/modules/drivers//cirrus_drv.so
(II) Module cirrus: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.1.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 1.1
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.1.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.6
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.1.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.6
(II) v4l driver for Video4Linux
(II) CIRRUS: driver for Cirrus chipsets: CLGD5430, CLGD5434-4, CLGD5434-8,
	CLGD5436, CLGD5446, CLGD5480, CL-GD5462, CL-GD5464, CL-GD5464BD,
	CL-GD5465, CL-GD7548
(II) Primary Device is: PCI 01:00:0
(--) Chipset CL-GD5465 found
(II) Loading sub module "cirrus_laguna"
(II) LoadModule: "cirrus_laguna"
(II) Loading /usr/lib/xorg/modules/drivers//cirrus_laguna.so
(II) Module cirrus_laguna: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.1
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xe9002000 - 0xe90020ff (0x100) MX[B]
	[5] -1	0	0xe9001000 - 0xe90010ff (0x100) MX[B]
	[6] -1	0	0xe9000000 - 0xe9000fff (0x1000) MX[B]
	[7] -1	0	0xe9003000 - 0xe9003fff (0x1000) MX[B]
	[8] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[9] -1	0	0xe7000000 - 0xe700ffff (0x10000) MX[B](B)
	[10] -1	0	0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
	[11] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[12] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[13] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[14] -1	0	0x0000e800 - 0x0000e807 (0x8) IX[B]
	[15] -1	0	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[16] -1	0	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[17] -1	0	0x0000f000 - 0x0000f00f (0x10) IX[B]
(II) resource ranges after probing:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xe9002000 - 0xe90020ff (0x100) MX[B]
	[5] -1	0	0xe9001000 - 0xe90010ff (0x100) MX[B]
	[6] -1	0	0xe9000000 - 0xe9000fff (0x1000) MX[B]
	[7] -1	0	0xe9003000 - 0xe9003fff (0x1000) MX[B]
	[8] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[9] -1	0	0xe7000000 - 0xe700ffff (0x10000) MX[B](B)
	[10] -1	0	0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
	[11] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[12] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[13] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[14] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[15] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[16] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[17] -1	0	0x0000e800 - 0x0000e807 (0x8) IX[B]
	[18] -1	0	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[19] -1	0	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[20] -1	0	0x0000f000 - 0x0000f00f (0x10) IX[B]
	[21] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[22] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
LgPreInit
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules//libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 0.1.0
	ABI class: X.Org Video Driver, version 1.1
(II) CIRRUS(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/lib/xorg/modules//libint10.so
(II) CIRRUS(0): Primary V_BIOS segment is: 0xc000
(**) CIRRUS(0): Depth 24, (--) framebuffer bpp 24
(==) CIRRUS(0): RGB weight 888
(==) CIRRUS(0): Default visual is TrueColor
(==) CIRRUS(0): Using SW cursor
(--) CIRRUS(0): Linear framebuffer at 0xE4000000
(--) CIRRUS(0): MMIO registers at 0xE7000000
Scratch Pads: 0:44 1:80 2:03 3:20
(--) CIRRUS(0): VideoRAM: 4096 kByte
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"(II) Module alread ybuilt-in(II) Loading sub module "i2c"
(II) LoadModule: "i2c"(II) Module alread ybuilt-in(==) CIRRUS(0): Write-combining range (0xe4000000,0x400000)
LgI2CInit
(II) CIRRUS(0): I2C bus "I2C bus 1" initialized.
(II) CIRRUS(0): I2C bus "I2C bus 2" initialized.
(II) CIRRUS(0): I2C device "I2C bus 1:ddc2" registered at address 0xA0.
(II) CIRRUS(0): I2C device "I2C bus 1:ddc2" removed.
(II) CIRRUS(0): I2C Monitor info: 0x8206c60
(II) CIRRUS(0): Manufacturer: PHL  Model: 770c  Serial#: 243639
(II) CIRRUS(0): Year: 2000  Week: 23
(II) CIRRUS(0): EDID Version: 1.1
(II) CIRRUS(0): Analog Display Input,  Input Voltage Level: 0.700/0.700 V
(II) CIRRUS(0): Sync:  Separate
(II) CIRRUS(0): Max H-Image Size [cm]: horiz.: 31  vert.: 23
(II) CIRRUS(0): Gamma: 2.87
(II) CIRRUS(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) CIRRUS(0): redX: 0.620 redY: 0.345   greenX: 0.290 greenY: 0.610
(II) CIRRUS(0): blueX: 0.155 blueY: 0.065   whiteX: 0.283 whiteY: 0.297
(II) CIRRUS(0): Supported VESA Video Modes:
(II) CIRRUS(0): 720x400@70Hz
(II) CIRRUS(0): 640x480@60Hz
(II) CIRRUS(0): 640x480@72Hz
(II) CIRRUS(0): 640x480@75Hz
(II) CIRRUS(0): 800x600@60Hz
(II) CIRRUS(0): 800x600@72Hz
(II) CIRRUS(0): 800x600@75Hz
(II) CIRRUS(0): 832x624@75Hz
(II) CIRRUS(0): 1024x768@60Hz
(II) CIRRUS(0): 1024x768@70Hz
(II) CIRRUS(0): 1024x768@75Hz
(II) CIRRUS(0): Manufacturer's mask: 0
(II) CIRRUS(0): Supported Future Video Modes:
(II) CIRRUS(0): #0: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) CIRRUS(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) CIRRUS(0): #2: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) CIRRUS(0): #3: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) CIRRUS(0): #4: hsize: 640  vsize 480  refresh: 100  vid: 26673
(II) CIRRUS(0): #5: hsize: 800  vsize 600  refresh: 99  vid: 26437
(II) CIRRUS(0): #6: hsize: 1280  vsize 960  refresh: 60  vid: 16513
(II) CIRRUS(0): #7: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) CIRRUS(0): Supported additional Video Mode:
(II) CIRRUS(0): clock: 25.2 MHz   Image Size:  306 x 230 mm
(II) CIRRUS(0): h_active: 640  h_sync: 656  h_sync_end 752 h_blank_end 800 h_border: 0
(II) CIRRUS(0): v_active: 350  v_sync: 387  v_sync_end 389 v_blanking: 449 v_border: 0
(II) CIRRUS(0): Serial No:  BZ  243639
(II) CIRRUS(0): Monitor name: PHILIPS 107S
(II) CIRRUS(0): Ranges: V min: 50  V max: 160 Hz, H min: 30  H max: 70 kHz, PixClock max 110 MHz
(II) CIRRUS(0): EDID (in hex):
(II) CIRRUS(0): 	00ffffffffffff00410c0c77b7b70300
(II) CIRRUS(0): 	170a0101681f17bbe8d5f89e584a9c27
(II) CIRRUS(0): 	10484cadee0031594559615981803168
(II) CIRRUS(0): 	45678140714fd60980a0205e63101060
(II) CIRRUS(0): 	520832e61000001a000000ff0020425a
(II) CIRRUS(0): 	20203234333633390a20000000fc0050
(II) CIRRUS(0): 	48494c49505320313037530a000000fd
(II) CIRRUS(0): 	0032a01e460b000a202020202020001b
(II) CIRRUS(0): end of I2C Monitor info

(II) CIRRUS(0): Using hsync ranges from config file
(II) CIRRUS(0): Using vrefresh ranges from config file
(II) CIRRUS(0): Printing DDC gathered Modelines:
(II) CIRRUS(0): Modeline "800x600"   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync
(II) CIRRUS(0): Modeline "640x480"   31.50  640 656 720 840  480 481 484 500 -hsync -vsync
(II) CIRRUS(0): Modeline "640x480"   31.50  640 664 704 832  480 489 491 520 -hsync -vsync
(II) CIRRUS(0): Modeline "640x480"   25.20  640 656 752 800  480 490 492 525 -hsync -vsync
(II) CIRRUS(0): Modeline "720x400"   28.32  720 738 846 900  400 412 414 449 -hsync +vsync
(II) CIRRUS(0): Modeline "1024x768"   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync
(II) CIRRUS(0): Modeline "1024x768"   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync
(II) CIRRUS(0): Modeline "1024x768"   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync
(II) CIRRUS(0): Modeline "832x624"   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync
(II) CIRRUS(0): Modeline "800x600"   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync
(II) CIRRUS(0): Modeline "800x600"   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync
(II) CIRRUS(0): Modeline "640x480"   35.00  640 664 728 816  480 483 487 507 -hsync +vsync
(II) CIRRUS(0): Modeline "800x600"   56.75  800 848 928 1056  600 603 607 633 -hsync +vsync
(II) CIRRUS(0): Modeline "1024x768"   94.50  1024 1096 1200 1376  768 771 775 809 -hsync +vsync
(II) CIRRUS(0): Modeline "1280x1024"  109.00  1280 1368 1496 1712  1024 1027 1034 1063 -hsync +vsync
(II) CIRRUS(0): Modeline "640x480"   42.50  640 672 736 832  480 483 487 512 -hsync +vsync
(II) CIRRUS(0): Modeline "800x600"   66.50  800 848 928 1056  600 603 607 638 -hsync +vsync
(II) CIRRUS(0): Modeline "1280x960"  101.25  1280 1360 1488 1696  960 963 967 996 -hsync +vsync
(II) CIRRUS(0): Modeline "1152x864"  104.00  1152 1224 1344 1536  864 867 871 905 -hsync +vsync
(II) CIRRUS(0): Modeline "640x350"   25.18  640 656 752 800  350 387 389 449 -hsync +vsync
(==) CIRRUS(0): Using gamma correction (1.0, 1.0, 1.0)
(==) CIRRUS(0): Min pixel clock is 12 MHz
(--) CIRRUS(0): Max pixel clock is 170 MHz
(II) CIRRUS(0): Philips 107S: Using hsync range of 30.00-70.00 kHz
(II) CIRRUS(0): Philips 107S: Using vrefresh range of 50.00-160.00 Hz
(II) CIRRUS(0): Clock range:  12.00 to 170.00 MHz
(II) CIRRUS(0): Not using default mode "320x175" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "320x200" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "360x200" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "640x480" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1280x960" (hsync out of range)
(II) CIRRUS(0): Not using default mode "640x480" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1280x1024" (hsync out of range)
(II) CIRRUS(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1280x1024" (hsync out of range)
(II) CIRRUS(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1600x1200" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1600x1200" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1600x1200" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1600x1200" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1600x1200" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1792x1344" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "896x672" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1792x1344" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "896x672" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1856x1392" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "928x696" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1856x1392" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "928x696" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1920x1440" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1920x1440" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "416x312" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "640x384" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "640x400" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "576x384" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1152x864" (hsync out of range)
(II) CIRRUS(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1400x1050" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1400x1050" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1400x1050" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1400x1050" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "720x450" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1600x1024" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "800x512" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1680x1050" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "840x525" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1920x1200" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "960x600" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1920x1200" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "960x600" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "1920x1440" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "2048x1536" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "2048x1536" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using default mode "2048x1536" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) CIRRUS(0): Not using driver mode "1280x1024" (width too large for virtual size)
(II) CIRRUS(0): Not using default mode "1280x1024" (width too large for virtual size)
(II) CIRRUS(0): Not using default mode "1440x900" (width too large for virtual size)
(II) CIRRUS(0): Not using driver mode "1280x960" (width too large for virtual size)
(II) CIRRUS(0): Not using default mode "1280x960" (width too large for virtual size)
(II) CIRRUS(0): Not using default mode "1280x800" (width too large for virtual size)
(II) CIRRUS(0): Not using driver mode "1152x864" (width too large for virtual size)
(II) CIRRUS(0): Not using default mode "1152x864" (width too large for virtual size)
(II) CIRRUS(0): Not using default mode "1280x768" (width too large for virtual size)
(II) CIRRUS(0): Not using default mode "1152x768" (width too large for virtual size)
(--) CIRRUS(0): Virtual size is 1024x768 (pitch 1109)
(**) CIRRUS(0): *Driver mode "1024x768": 94.5 MHz, 68.7 kHz, 84.9 Hz
(II) CIRRUS(0): Modeline "1024x768"   94.50  1024 1096 1200 1376  768 771 775 809 -hsync +vsync
(**) CIRRUS(0): *Driver mode "800x600": 66.5 MHz, 63.0 kHz, 98.7 Hz
(II) CIRRUS(0): Modeline "800x600"   66.50  800 848 928 1056  600 603 607 638 -hsync +vsync
(**) CIRRUS(0): *Driver mode "640x480": 42.5 MHz, 51.1 kHz, 99.8 Hz
(II) CIRRUS(0): Modeline "640x480"   42.50  640 672 736 832  480 483 487 512 -hsync +vsync
(**) CIRRUS(0):  Driver mode "1024x768": 78.8 MHz, 60.1 kHz, 75.1 Hz
(II) CIRRUS(0): Modeline "1024x768"   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync
(**) CIRRUS(0):  Driver mode "1024x768": 75.0 MHz, 56.5 kHz, 70.1 Hz
(II) CIRRUS(0): Modeline "1024x768"   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync
(**) CIRRUS(0):  Driver mode "1024x768": 65.0 MHz, 48.4 kHz, 60.0 Hz
(II) CIRRUS(0): Modeline "1024x768"   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync
(**) CIRRUS(0):  Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(II) CIRRUS(0): Modeline "1024x768"   94.50  1024 1072 1168 1376  768 769 772 808 +hsync +vsync
(**) CIRRUS(0):  Default mode "1024x768": 78.8 MHz, 60.0 kHz, 75.0 Hz
(II) CIRRUS(0): Modeline "1024x768"   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync
(**) CIRRUS(0):  Default mode "1024x768": 75.0 MHz, 56.5 kHz, 70.1 Hz
(II) CIRRUS(0): Modeline "1024x768"   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync
(**) CIRRUS(0):  Default mode "1024x768": 65.0 MHz, 48.4 kHz, 60.0 Hz
(II) CIRRUS(0): Modeline "1024x768"   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync
(**) CIRRUS(0):  Driver mode "832x624": 57.3 MHz, 49.7 kHz, 74.6 Hz
(II) CIRRUS(0): Modeline "832x624"   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync
(**) CIRRUS(0):  Default mode "832x624": 57.3 MHz, 49.7 kHz, 74.6 Hz
(II) CIRRUS(0): Modeline "832x624"   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync
(**) CIRRUS(0):  Driver mode "800x600": 56.8 MHz, 53.7 kHz, 84.9 Hz
(II) CIRRUS(0): Modeline "800x600"   56.75  800 848 928 1056  600 603 607 633 -hsync +vsync
(**) CIRRUS(0):  Driver mode "800x600": 49.5 MHz, 46.9 kHz, 75.0 Hz
(II) CIRRUS(0): Modeline "800x600"   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync
(**) CIRRUS(0):  Driver mode "800x600": 50.0 MHz, 48.1 kHz, 72.2 Hz
(II) CIRRUS(0): Modeline "800x600"   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync
(**) CIRRUS(0):  Driver mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz
(II) CIRRUS(0): Modeline "800x600"   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync
(**) CIRRUS(0):  Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz
(II) CIRRUS(0): Modeline "800x600"   56.30  800 832 896 1048  600 601 604 631 +hsync +vsync
(**) CIRRUS(0):  Default mode "800x600": 49.5 MHz, 46.9 kHz, 75.0 Hz
(II) CIRRUS(0): Modeline "800x600"   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync
(**) CIRRUS(0):  Default mode "800x600": 50.0 MHz, 48.1 kHz, 72.2 Hz
(II) CIRRUS(0): Modeline "800x600"   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync
(**) CIRRUS(0):  Default mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz
(II) CIRRUS(0): Modeline "800x600"   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync
(**) CIRRUS(0):  Default mode "800x600": 36.0 MHz, 35.2 kHz, 56.2 Hz
(II) CIRRUS(0): Modeline "800x600"   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync
(**) CIRRUS(0):  Driver mode "640x480": 35.0 MHz, 42.9 kHz, 84.6 Hz
(II) CIRRUS(0): Modeline "640x480"   35.00  640 664 728 816  480 483 487 507 -hsync +vsync
(**) CIRRUS(0):  Driver mode "640x480": 31.5 MHz, 37.5 kHz, 75.0 Hz
(II) CIRRUS(0): Modeline "640x480"   31.50  640 656 720 840  480 481 484 500 -hsync -vsync
(**) CIRRUS(0):  Driver mode "640x480": 31.5 MHz, 37.9 kHz, 72.8 Hz
(II) CIRRUS(0): Modeline "640x480"   31.50  640 664 704 832  480 489 491 520 -hsync -vsync
(**) CIRRUS(0):  Driver mode "640x480": 25.2 MHz, 31.5 kHz, 60.0 Hz
(II) CIRRUS(0): Modeline "640x480"   25.20  640 656 752 800  480 490 492 525 -hsync -vsync
(**) CIRRUS(0):  Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz
(II) CIRRUS(0): Modeline "640x480"   36.00  640 696 752 832  480 481 484 509 -hsync -vsync
(**) CIRRUS(0):  Default mode "640x480": 31.5 MHz, 37.5 kHz, 75.0 Hz
(II) CIRRUS(0): Modeline "640x480"   31.50  640 656 720 840  480 481 484 500 -hsync -vsync
(**) CIRRUS(0):  Default mode "640x480": 31.5 MHz, 37.9 kHz, 72.8 Hz
(II) CIRRUS(0): Modeline "640x480"   31.50  640 664 704 832  480 489 492 520 -hsync -vsync
(**) CIRRUS(0):  Default mode "640x480": 25.2 MHz, 31.5 kHz, 59.9 Hz
(II) CIRRUS(0): Modeline "640x480"   25.18  640 656 752 800  480 490 492 525 -hsync -vsync
(**) CIRRUS(0):  Driver mode "720x400": 28.3 MHz, 31.5 kHz, 70.1 Hz
(II) CIRRUS(0): Modeline "720x400"   28.32  720 738 846 900  400 412 414 449 -hsync +vsync
(**) CIRRUS(0):  Default mode "720x400": 35.5 MHz, 37.9 kHz, 85.0 Hz
(II) CIRRUS(0): Modeline "720x400"   35.50  720 756 828 936  400 401 404 446 -hsync +vsync
(**) CIRRUS(0):  Default mode "640x400": 31.5 MHz, 37.9 kHz, 85.1 Hz
(II) CIRRUS(0): Modeline "640x400"   31.50  640 672 736 832  400 401 404 445 -hsync +vsync
(**) CIRRUS(0):  Driver mode "640x350": 25.2 MHz, 31.5 kHz, 70.1 Hz
(II) CIRRUS(0): Modeline "640x350"   25.18  640 656 752 800  350 387 389 449 -hsync +vsync
(**) CIRRUS(0):  Default mode "640x350": 31.5 MHz, 37.9 kHz, 85.1 Hz
(II) CIRRUS(0): Modeline "640x350"   31.50  640 672 736 832  350 382 385 445 +hsync -vsync
(**) CIRRUS(0): Display dimensions: (310, 230) mm
(**) CIRRUS(0): DPI set to (83, 84)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.3
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules//libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.2.0
	ABI class: X.Org Video Driver, version 1.1
(==) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0	0xe7000000 - 0xe700ffff (0x10000) MX[B]
	[1] 0	0	0xe4000000 - 0xe5ffffff (0x2000000) MX[B]
	[2] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[3] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[4] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[5] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[6] -1	0	0xe9002000 - 0xe90020ff (0x100) MX[B]
	[7] -1	0	0xe9001000 - 0xe90010ff (0x100) MX[B]
	[8] -1	0	0xe9000000 - 0xe9000fff (0x1000) MX[B]
	[9] -1	0	0xe9003000 - 0xe9003fff (0x1000) MX[B]
	[10] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[11] -1	0	0xe7000000 - 0xe700ffff (0x10000) MX[B](B)
	[12] -1	0	0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
	[13] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B](OprU)
	[14] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprU)
	[15] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprU)
	[16] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[17] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[18] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[19] -1	0	0x0000e800 - 0x0000e807 (0x8) IX[B]
	[20] -1	0	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[21] -1	0	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[22] -1	0	0x0000f000 - 0x0000f00f (0x10) IX[B]
	[23] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[24] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
LgScreenInit
(==) CIRRUS(0): Write-combining range (0xe4000000,0x400000)
(II) CIRRUS(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
LgSave
LgModeInit 24 bpp,   94500   1024 1096 1200 1376   768 771 775 809
LgModeInit: depth 24 bits
SynthClock = 94500
LgSetClock freq=94.500MHz
LgSetClock: nom=42 den=14 ffreq=94.498MHz
LgScreenInit after miSetVisualTypes
LgScreenInit after depth dependent init
(II) CIRRUS(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	Solid Horizontal and Vertical Lines
(==) CIRRUS(0): Silken mouse enabled
(**) Option "dpms"
(**) CIRRUS(0): DPMS enabled
(==) RandR enabled
(II) Setting vga for screen 0.
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension XAccessControlExtension
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(EE) AIGLX: Screen 0 is not DRI capable
(II) Loading local sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/lib/xorg/modules/extensions//libGLcore.so
(II) Module GLcore: vendor="X.Org Foundation"
	compiled for 1.2.99.902, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) GLX: Initialized MESA-PROXY GL provider for screen 0
(**) Option "CoreKeyboard"
(**) Generic Keyboard: Core Keyboard
(**) Option "Protocol" "standard"
(**) Generic Keyboard: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Generic Keyboard: XkbRules: "xorg"
(**) Option "XkbModel" "pc104"
(**) Generic Keyboard: XkbModel: "pc104"
(**) Option "XkbLayout" "us"
(**) Generic Keyboard: XkbLayout: "us"
(**) Option "CustomKeycodes" "off"
(**) Generic Keyboard: CustomKeycodes disabled
(**) Option "Protocol" "ExplorerPS/2"
(**) Configured Mouse: Device: "/dev/input/mice"
(**) Configured Mouse: Protocol: "ExplorerPS/2"
(**) Option "CorePointer"
(**) Configured Mouse: Core Pointer
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "true"
(**) Configured Mouse: Emulate3Buttons, Emulate3Timeout: 50
(**) Configured Mouse: ZAxisMapping: buttons 4 and 5
(**) Configured Mouse: Buttons: 9
(II) XINPUT: Adding extended input device "Configured Mouse" (type: MOUSE)
(II) XINPUT: Adding extended input device "Generic Keyboard" (type: KEYBOARD)
(II) Configured Mouse: ps2EnableDataReporting: succeeded


Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 415541@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Arthur Marsh <arthur.marsh@internode.on.net>
Cc: 415541@bugs.debian.org
Subject: Re: Bug#415541: libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms
Date: Tue, 20 Mar 2007 11:11:57 +0100
On Tue, 2007-03-20 at 20:01 +1030, Arthur Marsh wrote:
> 
> Michel Dänzer wrote, On 20/03/07 17:34:
> > On Tue, 2007-03-20 at 14:15 +1030, Arthur Marsh wrote:
> >>
> >> When running libx11-6 1.1.1-1 and xmms 1:1.2.10+20061101-1, attempting 
> >> to change the file menu width or traverse directories in "play file" 
> >> would cause a complete screen / filesystem lockup (machine was pingable 
> >> from another location but file shares not available and all keyboard and 
> >> mouse input was ignored).
> >>
> >> Running xmms under strace would prevent the problem from occuring.
> >>
> >> Downgrading libx11-6 to 2:1.0.3-6 resolved the problem.
> > 
> > So this behaviour may be triggered by something in the new libx11-6, but
> > it's very unlikely to be caused fully by it but more likely at least
> > partly by the X server. Please attach the output of
> > 
> > /usr/share/bug/xserver-xorg-core/script 3>&1
> 
> Hi, I ran that against both versions of libx11-6 above and have attached 
> the output.

Thanks. Does the problem also occur if you disable 2D acceleration
(Option "Accel" "off" should achieve that, or consult the cirrus driver
manpage)? If so, does it also occur with the vesa driver?

Also, because libX11 is used both on the server and client side, the
following experiment might help narrow down the problem: Start up the X
server while the old libx11-6 is installed. Then while the X server is
running, upgrade libx11-6 and then try reproducing the problem. Does it
still occur?


-- 
Earthling Michel Dänzer           |          http://tungstengraphics.com
Libre software enthusiast         |          Debian, X and DRI developer



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 415541@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: Michel Dänzer <daenzer@debian.org>
Cc: 415541@bugs.debian.org
Subject: Re: Bug#415541: libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms
Date: Wed, 21 Mar 2007 14:41:34 +1030

Michel Dänzer wrote, On 20/03/07 20:41:
> On Tue, 2007-03-20 at 20:01 +1030, Arthur Marsh wrote:
>> Michel Dänzer wrote, On 20/03/07 17:34:
>>> On Tue, 2007-03-20 at 14:15 +1030, Arthur Marsh wrote:
>>>> When running libx11-6 1.1.1-1 and xmms 1:1.2.10+20061101-1, attempting 
>>>> to change the file menu width or traverse directories in "play file" 
>>>> would cause a complete screen / filesystem lockup (machine was pingable 
>>>> from another location but file shares not available and all keyboard and 
>>>> mouse input was ignored).
>>>>
>>>> Running xmms under strace would prevent the problem from occuring.
>>>>
>>>> Downgrading libx11-6 to 2:1.0.3-6 resolved the problem.
>>> So this behaviour may be triggered by something in the new libx11-6, but
>>> it's very unlikely to be caused fully by it but more likely at least
>>> partly by the X server. Please attach the output of
>>>
>>> /usr/share/bug/xserver-xorg-core/script 3>&1
>> Hi, I ran that against both versions of libx11-6 above and have attached 
>> the output.
> 
> Thanks. Does the problem also occur if you disable 2D acceleration
> (Option "Accel" "off" should achieve that, or consult the cirrus driver
> manpage)? If so, does it also occur with the vesa driver?
> 
> Also, because libX11 is used both on the server and client side, the
> following experiment might help narrow down the problem: Start up the X
> server while the old libx11-6 is installed. Then while the X server is
> running, upgrade libx11-6 and then try reproducing the problem. Does it
> still occur?

I started up the X server with old libx11-6, upgraded to libx11-6 
1.1.1-1, then ran xmms and repeated the lock-up.

I rebooted, set "accel" "off" in /etc/X11/xorg.conf in the section for 
the video card in maintenance mode, then started X, ran xmms and 
repeated the lock-up.

I rebooted, set the driver from "cirrus" to "vesa", started X, ran xmms 
and repeated the lock-up.

I have downgraded the libx11-6, started X and xmms and was unable to 
repeat the lock-up.

Regards,

Arthur.
> 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 415541@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Arthur Marsh <arthur.marsh@internode.on.net>
Cc: 415541@bugs.debian.org
Subject: Re: Bug#415541: libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms
Date: Wed, 21 Mar 2007 11:00:49 +0100
On Wed, 2007-03-21 at 14:41 +1030, Arthur Marsh wrote:
> 
> Michel Dänzer wrote, On 20/03/07 20:41:
> > On Tue, 2007-03-20 at 20:01 +1030, Arthur Marsh wrote:
> >> Michel Dänzer wrote, On 20/03/07 17:34:
> >>> On Tue, 2007-03-20 at 14:15 +1030, Arthur Marsh wrote:
> >>>> When running libx11-6 1.1.1-1 and xmms 1:1.2.10+20061101-1, attempting 
> >>>> to change the file menu width or traverse directories in "play file" 
> >>>> would cause a complete screen / filesystem lockup (machine was pingable 
> >>>> from another location but file shares not available and all keyboard and 
> >>>> mouse input was ignored).

So I presume logging in via ssh isn't possible either?

> >>>> Running xmms under strace would prevent the problem from occuring.

Didn't notice this before, so it could be timing related...


> I started up the X server with old libx11-6, upgraded to libx11-6 
> 1.1.1-1, then ran xmms and repeated the lock-up.
> 
> I rebooted, set "accel" "off" in /etc/X11/xorg.conf in the section for 
> the video card in maintenance mode, then started X, ran xmms and 
> repeated the lock-up.
> 
> I rebooted, set the driver from "cirrus" to "vesa", started X, ran xmms 
> and repeated the lock-up.
> 
> I have downgraded the libx11-6, started X and xmms and was unable to 
> repeat the lock-up.

Thanks for conducting these tests. Hmm, do you run xmms as root or
normal user? It's hard to imagine how libX11 could cause the symptoms
you describe in the latter case...


-- 
Earthling Michel Dänzer           |          http://tungstengraphics.com
Libre software enthusiast         |          Debian, X and DRI developer



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #39 received at 415541@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: Michel Dänzer <daenzer@debian.org>
Cc: 415541@bugs.debian.org
Subject: Re: Bug#415541: libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms
Date: Wed, 21 Mar 2007 21:52:05 +1030

Michel Dänzer wrote, On 21/03/07 20:30:
> On Wed, 2007-03-21 at 14:41 +1030, Arthur Marsh wrote:
>> Michel Dänzer wrote, On 20/03/07 20:41:
>>> On Tue, 2007-03-20 at 20:01 +1030, Arthur Marsh wrote:
>>>> Michel Dänzer wrote, On 20/03/07 17:34:
>>>>> On Tue, 2007-03-20 at 14:15 +1030, Arthur Marsh wrote:
>>>>>> When running libx11-6 1.1.1-1 and xmms 1:1.2.10+20061101-1, attempting 
>>>>>> to change the file menu width or traverse directories in "play file" 
>>>>>> would cause a complete screen / filesystem lockup (machine was pingable 
>>>>>> from another location but file shares not available and all keyboard and 
>>>>>> mouse input was ignored).
> 
> So I presume logging in via ssh isn't possible either?

I'll have to try that (or maybe rig up an EIA-232 null-modem connection 
to another pc as a serial terminal).

> 
>>>>>> Running xmms under strace would prevent the problem from occuring.
> 
> Didn't notice this before, so it could be timing related...
> 
> 
>> I started up the X server with old libx11-6, upgraded to libx11-6 
>> 1.1.1-1, then ran xmms and repeated the lock-up.
>>
>> I rebooted, set "accel" "off" in /etc/X11/xorg.conf in the section for 
>> the video card in maintenance mode, then started X, ran xmms and 
>> repeated the lock-up.
>>
>> I rebooted, set the driver from "cirrus" to "vesa", started X, ran xmms 
>> and repeated the lock-up.
>>
>> I have downgraded the libx11-6, started X and xmms and was unable to 
>> repeat the lock-up.
> 
> Thanks for conducting these tests. Hmm, do you run xmms as root or
> normal user? It's hard to imagine how libX11 could cause the symptoms
> you describe in the latter case...

I run xmms setuid root combined with the realtime-lsm kernel module to 
give xmms real-time priority (still not skip-proof when playing MP3 
files across the LAN but much better than as a normal process contending 
with other activity).

Selecting "play directory" from xmms in a directory with a large number 
of media files (e.g. 450 MIDI files) causes a *temporary* lock-up (no 
keyboard response or screen updates) whilst xmms looks at the large 
number of files. The real-time priority that xmms uses is unfortunately 
not restricted to what is needed for audio output.

I have filed a bug report or 2 against xmms - maybe I should file 
something there about this lock-up situation.

Arthur.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #44 received at 415541@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Arthur Marsh <arthur.marsh@internode.on.net>
Cc: 415541@bugs.debian.org
Subject: Re: Bug#415541: libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms
Date: Wed, 21 Mar 2007 12:35:15 +0100
On Wed, 2007-03-21 at 21:52 +1030, Arthur Marsh wrote:
> 
> >>>>>> Running xmms under strace would prevent the problem from occuring.
> > 
> > Didn't notice this before, so it could be timing related...
> > 
> > 
> >> I started up the X server with old libx11-6, upgraded to libx11-6 
> >> 1.1.1-1, then ran xmms and repeated the lock-up.
> >>
> >> I rebooted, set "accel" "off" in /etc/X11/xorg.conf in the section for 
> >> the video card in maintenance mode, then started X, ran xmms and 
> >> repeated the lock-up.
> >>
> >> I rebooted, set the driver from "cirrus" to "vesa", started X, ran xmms 
> >> and repeated the lock-up.
> >>
> >> I have downgraded the libx11-6, started X and xmms and was unable to 
> >> repeat the lock-up.
> > 
> > Thanks for conducting these tests. Hmm, do you run xmms as root or
> > normal user? It's hard to imagine how libX11 could cause the symptoms
> > you describe in the latter case...
> 
> I run xmms setuid root combined with the realtime-lsm kernel module to 
> give xmms real-time priority (still not skip-proof when playing MP3 
> files across the LAN but much better than as a normal process contending 
> with other activity).
> 
> Selecting "play directory" from xmms in a directory with a large number 
> of media files (e.g. 450 MIDI files) causes a *temporary* lock-up (no 
> keyboard response or screen updates) whilst xmms looks at the large 
> number of files. The real-time priority that xmms uses is unfortunately 
> not restricted to what is needed for audio output.

So it's possible that xmms enters an infinite loop (possibly in libX11)
which due to its realtime priority prevents everything else from
running? Can you try what happens if you run it without realtime
priority?


-- 
Earthling Michel Dänzer           |          http://tungstengraphics.com
Libre software enthusiast         |          Debian, X and DRI developer



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #49 received at 415541@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: Michel Dänzer <daenzer@debian.org>
Cc: 415541@bugs.debian.org
Subject: Re: Bug#415541: libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms
Date: Thu, 22 Mar 2007 22:21:34 +1030

Michel Dänzer wrote, On 21/03/07 22:05:
>>> Thanks for conducting these tests. Hmm, do you run xmms as root or
>>> normal user? It's hard to imagine how libX11 could cause the symptoms
>>> you describe in the latter case...
>> I run xmms setuid root combined with the realtime-lsm kernel module to 
>> give xmms real-time priority (still not skip-proof when playing MP3 
>> files across the LAN but much better than as a normal process contending 
>> with other activity).
>>
>> Selecting "play directory" from xmms in a directory with a large number 
>> of media files (e.g. 450 MIDI files) causes a *temporary* lock-up (no 
>> keyboard response or screen updates) whilst xmms looks at the large 
>> number of files. The real-time priority that xmms uses is unfortunately 
>> not restricted to what is needed for audio output.
> 
> So it's possible that xmms enters an infinite loop (possibly in libX11)
> which due to its realtime priority prevents everything else from
> running? Can you try what happens if you run it without realtime
> priority?

I upgraded libx11-6, then before restarting X, did:

 chmod u-s `which xmms`

then ran xmms, then selected "play directory" and experienced another 
complete lock-up, which required the big red switch.

Arthur.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #54 received at 415541@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Arthur Marsh <arthur.marsh@internode.on.net>
Cc: 415541@bugs.debian.org
Subject: Bug#415541: libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms
Date: Fri, 13 Apr 2007 03:24:56 +0200
Hi Arthur,

Could you try with libX11 1.1 without XCB ? Some packages are available
at http://people.debian.org/~daenzer/

libX11/XCB is only supposed to make some things a little slower, but we
never know, it could be somehow related to your lockup. So if you happen
to have a chance to give a try with these libX11-without-XCB packages...

Thanks,
Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #59 received at 415541@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 415541@bugs.debian.org
Subject: Re: Bug#415541: libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms
Date: Sat, 14 Apr 2007 11:56:48 +0930

Brice Goglin wrote, On 13/04/07 10:54:
> Hi Arthur,
> 
> Could you try with libX11 1.1 without XCB ? Some packages are available
> at http://people.debian.org/~daenzer/
> 
> libX11/XCB is only supposed to make some things a little slower, but we
> never know, it could be somehow related to your lockup. So if you happen
> to have a chance to give a try with these libX11-without-XCB packages...
> 
> Thanks,
> Brice
> 
> 

I just rebooted having installed libx11-6 from 
http://people.debian.org/~daenzer/ and have not experienced any lockup 
problems with xmms 1:1.2.10+20061101-1etch1

Thanks for the help!

Arthur.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to "Brice Goglin" <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #64 received at 415541@bugs.debian.org (full text, mbox):

From: "Brice Goglin" <Brice.Goglin@ens-lyon.org>
To: "Arthur Marsh" <arthur.marsh@internode.on.net>, 415541@bugs.debian.org
Subject: Re: Bug#415541: libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms
Date: Sat, 14 Apr 2007 11:24:08 +0200
[Message part 1 (text/plain, inline)]
On 4/14/07, Arthur Marsh <arthur.marsh@internode.on.net> wrote:
>
>
> > Could you try with libX11 1.1 without XCB ? Some packages are available
> > at http://people.debian.org/~daenzer/
>
> I just rebooted having installed libx11-6 from
> http://people.debian.org/~daenzer/ and have not experienced any lockup
> problems with xmms 1:1.2.10+20061101-1etch1
>

Ok, good to know. So there's probably something wrong in the way xmms uses
libx11. But, I wouldn't expect it to lockup like that.

There's a new xmms in unstable (1:1.2.10+20070401-1), but the changelog
looks pretty small. Most of the upstream development seems to go in xmms2
nowadays. Could you try one/both of those with libX11/XCB?

Thanks,
Brice
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #69 received at 415541@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 415541@bugs.debian.org
Subject: Re: Bug#415541: libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms
Date: Sun, 15 Apr 2007 00:43:10 +0930

Brice Goglin wrote, On 14/04/07 18:54:
> On 4/14/07, *Arthur Marsh* <arthur.marsh@internode.on.net 
> <mailto:arthur.marsh@internode.on.net>> wrote:
> 
> 
>      > Could you try with libX11 1.1 without XCB ? Some packages are
>     available
>      > at http://people.debian.org/~daenzer/
> 
>     I just rebooted having installed libx11-6 from
>     http://people.debian.org/~daenzer/ and have not experienced any lockup
>     problems with xmms 1:1.2.10+20061101-1etch1
> 
> 
> Ok, good to know. So there's probably something wrong in the way xmms 
> uses libx11. But, I wouldn't expect it to lockup like that.
> 
> There's a new xmms in unstable (1:1.2.10+20070401-1), but the changelog 
> looks pretty small. Most of the upstream development seems to go in 
> xmms2 nowadays. Could you try one/both of those with libX11/XCB?

Sorry, but the new xmms in unstable doesn't seem to want to work with 
real-time priority (I've reported the bug) and xmms2 doesn't appear to 
support a MIDI file plug-in. On this machine (266 MHz PII with 256 MiB 
RAM with an EMU10K1 soundcard with hardware MIDI synth), I would like a 
player that supports real-time priority and playback of MIDI files.

Regards,

Arthur.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #74 received at 415541@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: xcb@lists.debian.org
Cc: 415541@bugs.debian.org
Subject: [Debian bug#415541] xmms lockup when libX11 1.1.1 uses XCB
Date: Sun, 15 Apr 2007 21:12:35 +0200
Hi XCB maintainers,

Arthur Marsh reported on the Debian BTS 3 about weeks ago that libX11
1.1.1 was causing a lockup of its X server when running xmms. When
trying with libX11 1.1 with XCB *disabled*, the problem goes away.
Before possibly reassigning the bug to xmms, I would like to get
upstream opinion.
I am surprised that he gets a lockup, I would have expected crash of
xmms caused by a failed assertion instead. What do you think about this?

All the details are available at
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=415541

Note that he is running xmms as root to get realtime priority, but he
apparently reproduced the problem as a normal user (see message from
"Thu, 22 Mar 2007 22:21:34 +1030").

Thanks,
Brice




Information stored:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #79 received at 415541-quiet@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: xcb@lists.freedesktop.org, 415541-quiet@bugs.debian.org
Subject: [Debian bug#415541] xmms lockup when libX11 1.1.1 uses XCB
Date: Sun, 15 Apr 2007 21:17:29 +0200
Hi XCB maintainers,

Arthur Marsh reported on the Debian BTS 3 about weeks ago that libX11
1.1.1 was causing a lockup of its X server when running xmms. When
trying with libX11 1.1 with XCB *disabled*, the problem goes away.
Before possibly reassigning the bug to xmms, I would like to get
upstream opinion.
I am surprised that he gets a lockup, I would have expected crash of
xmms caused by a failed assertion instead. What do you think about this?

All the details are available at
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=415541

Note that he is running xmms as root to get realtime priority, but he
apparently reproduced the problem as a normal user (see message from
"Thu, 22 Mar 2007 22:21:34 +1030").

Thanks,
Brice





Information stored:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Barton C Massey <bart@cs.pdx.edu>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #84 received at 415541-quiet@bugs.debian.org (full text, mbox):

From: Barton C Massey <bart@cs.pdx.edu>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: xcb@lists.freedesktop.org, 415541-quiet@bugs.debian.org
Subject: Re: [Xcb] [Debian bug#415541] xmms lockup when libX11 1.1.1 uses XCB
Date: Sun, 15 Apr 2007 17:09:12 -0700
It's possible that some thread is dying of an assertion,
deadlocking the user interaction thread.  It's hard to debug
from here.  I'd say pass it on to xmms and have them bug us
if they can fix it.

	Bart

In message <46227A49.9090304@ens-lyon.org> you wrote:
> Hi XCB maintainers,
> 
> Arthur Marsh reported on the Debian BTS 3 about weeks ago that libX11
> 1.1.1 was causing a lockup of its X server when running xmms. When
> trying with libX11 1.1 with XCB *disabled*, the problem goes away.
> Before possibly reassigning the bug to xmms, I would like to get
> upstream opinion.
> I am surprised that he gets a lockup, I would have expected crash of
> xmms caused by a failed assertion instead. What do you think about this?
> 
> All the details are available at
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=415541
> 
> Note that he is running xmms as root to get realtime priority, but he
> apparently reproduced the problem as a normal user (see message from
> "Thu, 22 Mar 2007 22:21:34 +1030").
> 
> Thanks,
> Brice
> 
> 
> _______________________________________________
> Xcb mailing list
> Xcb@lists.freedesktop.org
> http://lists.freedesktop.org/mailman/listinfo/xcb



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #89 received at 415541@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: 415541@bugs.debian.org
Cc: control@bugs.debian.org, Arthur Marsh <arthur.marsh@internode.on.net>
Subject: Bug#415541: xmms lockup when libX11 1.1.1 uses XCB
Date: Mon, 16 Apr 2007 21:59:27 +0200
reassign 415541 xmms
found 415541 1:1.2.10+20061101-1
thank you

As recommended by upstream XCB maintainers (see
http://lists.freedesktop.org/archives/xcb/2007-April/002756.html), I am
reassigning this bug to xmms. There is probably something wrong in the
way xmms uses libX11, causing a problem with the new XCB implementation
of X11.

Brice




Bug reassigned from package `libx11-6' to `xmms'. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Mon, 16 Apr 2007 20:03:07 GMT) Full text and rfc822 format available.

Bug marked as found in version 1:1.2.10+20061101-1. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Mon, 16 Apr 2007 20:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#415541; Package xmms. Full text and rfc822 format available.

Acknowledgement sent to Jamey Sharp <jamey@minilop.net>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #98 received at 415541@bugs.debian.org (full text, mbox):

From: Jamey Sharp <jamey@minilop.net>
To: Arthur Marsh <arthur.marsh@internode.on.net>, 415541@bugs.debian.org
Cc: control@bugs.debian.org, xcb@lists.freedesktop.org
Subject: Re: Bug#415541: libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms
Date: Mon, 11 Jun 2007 11:19:58 -0700
[Message part 1 (text/plain, inline)]
reassign 415541 libx11-6
found 415541 2:1.1.1-1
thanks

On Tue, Mar 20, 2007 at 02:15:55PM +1030, Arthur Marsh wrote:
> When running libx11-6 1.1.1-1 and xmms 1:1.2.10+20061101-1, attempting 
> to change the file menu width or traverse directories in "play file" 
> would cause a complete screen / filesystem lockup (machine was pingable 
> from another location but file shares not available and all keyboard and 
> mouse input was ignored).
> 
> Running xmms under strace would prevent the problem from occuring.
> 
> Downgrading libx11-6 to 2:1.0.3-6 resolved the problem.

On further thought, I think this may be a symptom of an event-handling
spin bug that we fixed in libX11 1.1.2, combined with your configuration
of running xmms at real-time priority. Could you try 2:1.1.2-1 from
experimental and see if you can still reproduce the problem?

--Jamey
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `xmms' to `libx11-6'. Request was from Jamey Sharp <jamey@minilop.net> to control@bugs.debian.org. (Mon, 11 Jun 2007 18:21:04 GMT) Full text and rfc822 format available.

Bug marked as found in version 2:1.1.1-1. Request was from Jamey Sharp <jamey@minilop.net> to control@bugs.debian.org. (Mon, 11 Jun 2007 18:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#415541; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #107 received at 415541@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: Arthur Marsh <arthur.marsh@internode.on.net>, 415541@bugs.debian.org, xcb@lists.freedesktop.org
Subject: Re: Bug#415541: libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms
Date: Wed, 13 Jun 2007 02:12:52 +0930

Jamey Sharp wrote, on 12/06/07 03:49:
> reassign 415541 libx11-6
> found 415541 2:1.1.1-1
> thanks
> 
> On Tue, Mar 20, 2007 at 02:15:55PM +1030, Arthur Marsh wrote:
>> When running libx11-6 1.1.1-1 and xmms 1:1.2.10+20061101-1, attempting 
>> to change the file menu width or traverse directories in "play file" 
>> would cause a complete screen / filesystem lockup (machine was pingable 
>> from another location but file shares not available and all keyboard and 
>> mouse input was ignored).
>>
>> Running xmms under strace would prevent the problem from occuring.
>>
>> Downgrading libx11-6 to 2:1.0.3-6 resolved the problem.
> 
> On further thought, I think this may be a symptom of an event-handling
> spin bug that we fixed in libX11 1.1.2, combined with your configuration
> of running xmms at real-time priority. Could you try 2:1.1.2-1 from
> experimental and see if you can still reproduce the problem?
> 
> --Jamey

xmms appears to be running fine now thanks:

Version: 1:1.2.10+20061101-1etch1

Versions of packages xmms depends on:
ii  libasound2                1.0.14-1       ALSA library
ii  libaudiofile0             0.2.6-6        Open-source version of 
SGI's audio
ii  libc6                     2.5-10         GNU C Library: Shared libraries
ii  libesd0                   0.2.36-3       Enlightened Sound Daemon - 
Shared
ii  libgl1-mesa-glx [libgl1]  6.5.3~rc3-1    A free implementation of 
the OpenG
ii  libglib1.2                1.2.10-17      The GLib library of C routines
ii  libgtk1.2                 1.2.10-18      The GIMP Toolkit set of 
widgets fo
ii  libice6                   1:1.0.3-2      X11 Inter-Client Exchange 
library
ii  libmikmod2                3.1.11-a-6     A portable sound library
ii  libogg0                   1.1.3-2        Ogg Bitstream Library
ii  libsm6                    2:1.0.3-1      X11 Session Management library
ii  libvorbis0a               1.1.2.dfsg-1.2 The Vorbis General Audio 
Compressi
ii  libvorbisfile3            1.1.2.dfsg-1.2 The Vorbis General Audio 
Compressi
ii  libx11-6                  2:1.1.2-1      X11 client-side library
ii  libxext6                  1:1.0.3-2      X11 miscellaneous extension 
librar
ii  libxi6                    2:1.1.0-2      X11 Input extension library
ii  libxxf86vm1               1:1.0.1-2      X11 XFree86 video mode 
extension l
ii  zlib1g                    1:1.2.3-15     compression library - runtime

Arthur.




Reply sent to Jamey Sharp <jamey@minilop.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #112 received at 415541-done@bugs.debian.org (full text, mbox):

From: Jamey Sharp <jamey@minilop.net>
To: 415541-done@bugs.debian.org
Subject: Re: Bug#415541: libx11-6: 1.1.1-1 causes complete screen lockup / freeze from xmms
Date: Tue, 12 Jun 2007 11:06:41 -0700
[Message part 1 (text/plain, inline)]
Version: 2:1.1.2-1

On Wed, Jun 13, 2007 at 02:12:52AM +0930, Arthur Marsh wrote:
> Jamey Sharp wrote, on 12/06/07 03:49:
> >On further thought, I think this may be a symptom of an event-handling
> >spin bug that we fixed in libX11 1.1.2, combined with your configuration
> >of running xmms at real-time priority. Could you try 2:1.1.2-1 from
> >experimental and see if you can still reproduce the problem?
> 
> xmms appears to be running fine now thanks:
> 
> Version: 1:1.2.10+20061101-1etch1
> 
> Versions of packages xmms depends on:
> ...
> ii  libx11-6                  2:1.1.2-1      X11 client-side library

Thanks for the confirmation! I'm marking this bug fixed in that version.

--Jamey
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Jul 2007 07:50:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:27:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.